CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_DettProdottiTerzi] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettProdottiTerzi',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_DettProdottiTerzi  
--drop table C6StagingPeriodicoImmobiliare.RP_DettProdottiTerzi  
--select * into C6StagingPeriodicoImmobiliare.RP_DettProdottiTerzi from [CONSEVO].[consulenzaEvoluta].dbo.DettProdottiTerzi  
 insert into C6StagingPeriodicoImmobiliare.RP_DettProdottiTerzi  
 select   
chiaveProdottoTerzi,  
idIntermediario,  
alberatura,  
nomeIntermediario,  
dtInizioInvest,  
totVersato,  
totPrelevato,  
valutaTotPrelevato,  
chiaveProdotto,  
numQuote,  
divQuoteProd,  
dtSottoscrizione,  
valutaPremioVers,  
tipoPolizza,  
tipoVersamento,  
tipoFormaPensionistica,  
capitaleInvestito,  
valutaCapInvestito,  
contoPrincipale,  
addebitoUtenze,  
accreditoStipPens,  
cartaCredito,  
addebitoMutuo,  
isin,  
lineaFinanziaria,  
fabbisognoPrev,  
dtDecorrenza,  
modalitaUso,  
ctvUltimaPrestNota,  
dtUltimaPrestNota,  
flgPrestazioneScad,  
dtTermineVers,  
dtUltimoPremioNoto,  
nomeCompagnia,  
valutaCtvUltPrestNota  
from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettProdottiTerzi  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettProdottiTerzi' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_DettProdottiTerzi'  
  )  
end